View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000777Ecere SDKidepublic2013-01-15 06:322013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000777: Glitches in the new Debug Precompile/Compile Feature
DescriptionGlitch # 1: The Debug Working Directory does not work properly on Windows

With my project directory being E:\sdk\ecere, I end up with \e\sdk\ecere

Glitch # 2: Command line arguments containing spaces or other arg unfriendly characters need to be enclosed in double-quotes ("") so that they form a single argument in the Command Line Arguments

aka Get Debug (pre)compile working on Windows: Working Dir? spaces...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000766)
redj (administrator)
2013-04-27 23:06
edited on: 2013-05-31 02:31

fixed by: https://github.com/ecere/sdk/commit/b25bc6e3f1e494e3a15b89c196fb125ab18538a4 [^]

(0000786)
redj (administrator)
2013-05-04 05:28
edited on: 2013-05-22 23:18

more fixes: https://github.com/ecere/sdk/commit/ad4918f8861f0d9b0954ca7a76559cae43426db2 [^]

(0000868)
redj (administrator)
2013-05-31 02:31

improved / fixed by https://github.com/redj/ecere-sdk/commit/26e3fc61d5e3ede9ede6fc1b1ad1b6e29f6a0e98 [^]
(0000887)
jerome (administrator)
2013-06-05 20:35

0000777 vs 0000778 vs 0000863

Arg1: -fmessage-length=0
Arg2: -isystem
Arg3: E:/sdk/deps/DirectX-9.0/include
Arg4: -isystem
Arg5: C:/Program\
Arg6: Files\
Arg7: \(x86\)/ECERE\
Arg8: SDK/mingw/include
Arg9: -isystem
Arg10: C:/Program\
Arg11: Files/Ecere\
Arg12: SDK/mingw32/i686-w64-mingw32/include
Arg13: -cpp
Arg14: gcc

The \ ends up in the ecp-debugging IDE , and it doesn't recognize the escaping there (dunno whether it should, I always used quotes when specifying args in there...)
(0000896)
jerome (administrator)
2013-06-13 11:00

Fixed by https://github.com/ecere/sdk/commit/5a5cf3b8711d10f5c46d4a19e3bf25033ab34ad1 [^]

- Issue History
Date Modified Username Field Change
2013-01-15 06:32 jerome New Issue
2013-01-15 06:32 jerome Status new => assigned
2013-01-15 06:32 jerome Assigned To => redj
2013-01-15 06:33 jerome Description Updated
2013-04-24 03:47 redj Description Updated
2013-04-27 23:06 redj Note Added: 0000766
2013-04-27 23:06 redj Status assigned => feedback
2013-05-04 05:28 redj Status feedback => resolved
2013-05-04 05:28 redj Fixed in Version => 0.44.1 64
2013-05-04 05:28 redj Resolution open => fixed
2013-05-04 05:28 redj Note Added: 0000786
2013-05-05 21:00 redj Note Edited: 0000786
2013-05-20 23:20 redj Note Edited: 0000766
2013-05-20 23:20 redj Note Edited: 0000786
2013-05-22 20:19 jerome Status resolved => closed
2013-05-22 23:18 redj Note Edited: 0000786
2013-05-31 02:31 redj Note Edited: 0000766
2013-05-31 02:31 redj Note Added: 0000868
2013-06-05 20:35 jerome Note Added: 0000887
2013-06-05 20:35 jerome Status closed => assigned
2013-06-13 11:00 jerome Status assigned => closed
2013-06-13 11:00 jerome Note Added: 0000896
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker